<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Grid demo</title>
    <style>
        body, html {
            margin: 0;
            padding: 0;
            width: 100%;
            height: 100%;
            font-family: Calibri, Arial;
        }
        #container {
            display: grid;
            background: rgb(199, 229, 180);
            width: 100%;
            height: 100%;
            grid-template-columns: 80px 50px 1fr 1fr 120px;
            grid-template-rows: 100px auto 55px;
            grid-template-areas: 
                ". header header header ."
                ". e2 e5 e3 ."
                ". footer footer footer ."
            ;
            gap: 15px 5px;
        }
        #id1 {
            background: rgb(124, 170, 94);
            grid-area: header;
        }
        #id2 {
            background: rgb(108, 168, 71);
            grid-area: e2;
        }
        #id3 {
            background: rgb(98, 174, 52);
            /* grid-row-start: 1;
            grid-row-end: 3;
            grid-column-start: 3;
            grid-column-end: 4; */
            /* grid-row: 1 / 3;
            grid-column: 3 / 4; */
            grid-area: e3;
        }
        #id4 {
            background: rgb(90, 183, 32);
            grid-area: footer;
        }
        #id5 {
            background: rgb(85, 196, 15);
            grid-area: e5;
        }
    </style>
</head>
<body>
    <div id="container">
        <div id="id1">1</div>
        <div id="id2">2</div>
        <div id="id3">3</div>
        <div id="id4">4</div>
        <div id="id5">5</div>
    </div>
</body>
</html>